Current time: 10-21-2021, 04:12 PM Hello There, Guest! (LoginRegister)


Post Reply 
[Resuelto] No puedo instalar cURL
Author Message
Luisinho Offline
Junior Member
*

Posts: 124
Joined: Nov 2009
Reputation: 0
Post: #1
[Resuelto] No puedo instalar cURL
Hola foro, buenos días,

estoy teniendo problemas en instalar cURL, ejecuto el siguiente comando, pero no encuentra las dependencias...

Code:
# apt-get install php5-curl
Code:
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias      
Leyendo la información de estado... Hecho
Se instalarán los siguientes paquetes extras:
  libcurl3 libssh2-1
Se instalarán los siguientes paquetes NUEVOS:
  libcurl3 libssh2-1 php5-curl
0 actualizados, 3 se instalarán, 0 para eliminar y 0 no actualizados.
Necesito descargar 316kB de archivos.
Se utilizarán 770kB de espacio de disco adicional después de esta operación.
¿Desea continuar [S/n]? S
Code:
Err http://security.debian.org lenny/updates/main php5-curl 5.2.6.dfsg.1-1+lenny6
  404 Not Found [IP: 212.211.132.32 80]
Err http://ftp.de.debian.org lenny/main libssh2-1 0.18-1
  404 Not Found
Err http://ftp.de.debian.org lenny/main libcurl3 7.18.2-8lenny3
  404 Not Found
Err http://security.debian.org lenny/updates/main libcurl3 7.18.2-8lenny3
  404 Not Found [IP: 212.211.132.32 80]
Imposible obtener http://ftp.de.debian.org/debian/pool/main/libs/libssh2/libssh2-1_0.18-1_i386.deb  404 Not Found
Imposible obtener http://security.debian.org/pool/updates/main/c/curl/libcurl3_7.18.2-8lenny3_i386.deb  404 Not Found [IP: 212.211.132.32 80]
Imposible obtener http://security.debian.org/pool/updates/main/p/php5/php5-curl_5.2.6.dfsg.1-1+lenny6_i386.deb  404 Not Found [IP: 212.211.132.32 80]
E: No se pudieron obtener algunos archivos, ¿quizás deba ejecutar
apt-get update o deba intentarlo de nuevo con --fix-missing?
x3mdesign:~# apt-get install php5-curl
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias      
Leyendo la información de estado... Hecho
Se instalarán los siguientes paquetes extras:
  libcurl3 libssh2-1
Se instalarán los siguientes paquetes NUEVOS:
  libcurl3 libssh2-1 php5-curl
0 actualizados, 3 se instalarán, 0 para eliminar y 0 no actualizados.
Necesito descargar 316kB de archivos.
Se utilizarán 770kB de espacio de disco adicional después de esta operación.
¿Desea continuar [S/n]?
Err http://security.debian.org lenny/updates/main php5-curl 5.2.6.dfsg.1-1+lenny6
  404 Not Found [IP: 195.20.242.89 80]
Err http://ftp.de.debian.org lenny/main libssh2-1 0.18-1
  404 Not Found
Err http://ftp.de.debian.org lenny/main libcurl3 7.18.2-8lenny3
  404 Not Found
Err http://security.debian.org lenny/updates/main libcurl3 7.18.2-8lenny3
  404 Not Found [IP: 195.20.242.89 80]
Imposible obtener http://ftp.de.debian.org/debian/pool/main/libs/libssh2/libssh2-1_0.18-1_i386.deb  404 Not Found
Imposible obtener http://security.debian.org/pool/updates/main/c/curl/libcurl3_7.18.2-8lenny3_i386.deb  404 Not Found [IP: 195.20.242.89 80]
Imposible obtener http://security.debian.org/pool/updates/main/p/php5/php5-curl_5.2.6.dfsg.1-1+lenny6_i386.deb  404 Not Found [IP: 195.20.242.89 80]
E: No se pudieron obtener algunos archivos, ¿quizás deba ejecutar
apt-get update o deba intentarlo de nuevo con --fix-missing?

Me podéis echar una mano¿? Gracias!!!
(This post was last modified: 08-31-2012 10:11 PM by kurgans.)
08-17-2012 06:59 PM
Find all posts by this user Quote this message in a reply
kurgans Offline
Moderator
*****
Moderators

Posts: 1,565
Joined: Feb 2008
Reputation: 23
Post: #2
RE: No puedo instalar cURL
Amigo olvidate de lenny ya como repositorio oficial, deberas buscar por ahi los paquetes deb bajarlos y ejecutarlos manualmente con dpkg -i paquete.deb.

Y cuando puedas replantearte cambiar a debian 6
(This post was last modified: 08-17-2012 07:03 PM by kurgans.)
08-17-2012 07:03 PM
Visit this user's website Find all posts by this user Quote this message in a reply
Luisinho Offline
Junior Member
*

Posts: 124
Joined: Nov 2009
Reputation: 0
Post: #3
RE: No puedo instalar cURL
Hola Kurgans, perdona mi ignorancia pero entiende mi miedo a meter la pata...

Este sería el .deb a instalar, no¿?

http://packages.debian.org/search?keywords=php5-curl
08-18-2012 05:17 PM
Find all posts by this user Quote this message in a reply
kurgans Offline
Moderator
*****
Moderators

Posts: 1,565
Joined: Feb 2008
Reputation: 23
Post: #4
RE: No puedo instalar cURL
Debes buscar los paquetes fuera de los oficiales de debian, debian dejo de dar soporte a lenny hace ya bastante tiempo.
Debes googlear por ahi y encontrar repositorios donde esten todavia y fijate bien que aun tienes php5.2 ya que te encontraras para 5.2 y 5.3
(This post was last modified: 08-18-2012 07:12 PM by kurgans.)
08-18-2012 07:04 PM
Visit this user's website Find all posts by this user Quote this message in a reply
Luisinho Offline
Junior Member
*

Posts: 124
Joined: Nov 2009
Reputation: 0
Post: #5
RE: No puedo instalar cURL
Hola Kurgans!!! Gracias tío, siempre me respondes :'(

MIra, he encontrado esta web http://debgen.simplylinux.ch/ y he colocado esto en el archivo que me indica sus instrucciones:
Code:
deb http://archive.debian.org/debian oldstable main contrib non-free
deb-src http://archive.debian.org/debian oldstable main contrib non-free

deb http://ftp.debian.org/debian/ lenny-updates main contrib non-free
deb-src http://ftp.debian.org/debian/ lenny-updates main contrib non-free

deb http://security.debian.org/ lenny/updates main contrib non-free
deb-src http://security.debian.org/ lenny/updates main contrib non-free

#Third Parties Repos
#Debian Multimedia
deb http://www.las.ic.unicamp.br/pub/debian-multimedia/ oldstable main
pero sigue sin funcionar...
08-21-2012 08:29 AM
Find all posts by this user Quote this message in a reply
kurgans Offline
Moderator
*****
Moderators

Posts: 1,565
Joined: Feb 2008
Reputation: 23
Post: #6
RE: No puedo instalar cURL
Echale un ojo a eso yo he tenido que buscar unos paquetes para mi pc personal que esta en lenny y aqui he encontrado todo

http://ftp.acc.umu.se/mirror/cdimage/sna...in/c/curl/
08-31-2012 01:55 AM
Visit this user's website Find all posts by this user Quote this message in a reply
Luisinho Offline
Junior Member
*

Posts: 124
Joined: Nov 2009
Reputation: 0
Post: #7
RE: No puedo instalar cURL
Kurgans... no hay palabras... en fin mil gracias!!!

Primero, me lo voy a descargar todo... por si las moscas... pero he puesto la siguiente línea en sources.list

Code:
deb http://ftp.acc.umu.se/mirror/cdimage/snapshot/20050323/Debian/pool/main/c/curl/ oldstable main

y no me ha funcionado

Code:
x3mdesign:~# apt-get install curl
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias      
Leyendo la información de estado... Hecho
El paquete curl no está disponible, pero algún otro paquete hace referencia
a él. Esto puede significar que el paquete falta, está obsoleto o sólo se
encuentra disponible desde alguna otra fuente
E: El paquete curl no tiene candidato para su instalación

La verdad ando muy perdido, a ver si esta noche puedo averiguar cuáles y cómo cómo usar los .deb queme has puesto Wink

Gracias de nuevo!!
08-31-2012 04:11 AM
Find all posts by this user Quote this message in a reply
kurgans Offline
Moderator
*****
Moderators

Posts: 1,565
Joined: Feb 2008
Reputation: 23
Post: #8
RE: No puedo instalar cURL
Yo no lo he puesto como repositorio simplemente he ido a la caperta de los paquetes que necesita he bajado los deb y con dpkg -i paquete.deb los he instalado manualmente

Ojo esa url bueno te la he pegado por que las ultima que he visitado, pero debes buscar php5-curl no el curl de consola.


Aqui tienes la url de las libs de php5 selecciona tu distri y bits, si te equivocas tampoco pasa nada simplemente te dara error en la instalacion

http://ftp.acc.umu.se/mirror/cdimage/sna...in/p/php5/
(This post was last modified: 08-31-2012 07:16 AM by kurgans.)
08-31-2012 06:50 AM
Visit this user's website Find all posts by this user Quote this message in a reply
Luisinho Offline
Junior Member
*

Posts: 124
Joined: Nov 2009
Reputation: 0
Post: #9
RE: No puedo instalar cURL
Hola Kurgans, después de revisar los archivos, creo que debería instalar todos los archivos que terminen en "_i386.deb" cogiendo la última versión que aparezca.

De este modo me quedan los siguientes archivos:
   

Los debo copiar a mi servidor, ir a ala carpeta donde están localizados y ejecutar:

Code:
dpkg -i *.deb

POr favor, dime si estoy en lo correcto para realizarlo...

Gracias de nuevo!!

Edito: perdona no he visto el mail que me has puesto justo arriba... se han cruzado... lo miro y te cuento Smile
Hola Kurgans de nuevo, creo que ya lo estoy controlando, he intentado instalar "php5-curl_5.2.6.dfsg.1-1+lenny16_i386.deb" y a artir de ahí los .deb queme va pidiendo...

Ya te contaré cómo acaba esto....
(This post was last modified: 08-31-2012 08:26 AM by Luisinho.)
08-31-2012 08:00 AM
Find all posts by this user Quote this message in a reply
Luisinho Offline
Junior Member
*

Posts: 124
Joined: Nov 2009
Reputation: 0
Post: #10
RE: No puedo instalar cURL
oooooooooooooeeeeeeeeeeoeoeoe!!!!

Genial Kurgans!!! ERES GRANDE!!!! En serio tío!!!

He tenido que ir buscando las depedenvias de "php5-curl_5.2.6.dfsg.1-1+lenny16_i386.deb" pero con tus instrucciones y paciencia lo he conseguido!!!

Esta frase ha sido inspiradora:
(08-31-2012 06:50 AM)kurgans Wrote:  ...., si te equivocas tampoco pasa nada simplemente te dara error en la instalacion

Gracias!!!
08-31-2012 08:01 PM
Find all posts by this user Quote this message in a reply
Post Reply 


Forum Jump:


User(s) browsing this thread: